package com.hzya.frame.plugin.cinvoice.lexmis.entity;
import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * @description: 迈锐思-增值税发票主表  
 * @tableName:   LEXMISCIV_INVOICEMAIN 
 * @entityName:  LexmiscivInvoicemainEntity
 * @author: 	 gjh
 * @history:	 1.0
 */
public class  LexmiscivInvoicemainEntity extends BaseEntity {
	public LexmiscivInvoicemainEntity() {

	}

	public LexmiscivInvoicemainEntity(String IM_ID,String dataSourceCode) {
		this.IM_ID = IM_ID;
		this.setDataSourceCode(dataSourceCode);
	}

	/** 无备注 */
private String IM_ID;
/** 无备注 */
private String IM_FPDM;
/** 无备注 */
private String IM_FPHM;
@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
private Date IM_DATE;
/** 无备注 */
private String IM_CHECKCODE;
/** 无备注 */
private String IM_SALERTAXNO;
/** 无备注 */
private String IM_SALERNAME;
/** 无备注 */
private String IM_SALERADDRESS;
/** 无备注 */
private String IM_SALERBANKNO;
/** 无备注 */
private String IM_SALERBANKNM;
/** 无备注 */
private String IM_BUYERTAXNO;
/** 无备注 */
private String IM_BUYERNAME;
/** 无备注 */
private String IM_BUYERADDRESS;
/** 无备注 */
private String IM_BUYERBANKNO;
/** 无备注 */
private String IM_BUYERBANKNM;
/** 无备注 */
private String IM_MAKERNM;
/** 无备注 */
private String IM_PAYEE;
/** 无备注 */
private String IM_AUDITOR;
/** 无备注 */
private BigDecimal IM_NOTAXAMOUNT;
/** 无备注 */
private BigDecimal IM_TAXAMOUNT;
/** 无备注 */
private BigDecimal IM_TOTALAMOUNT;
/** 无备注 */
private String IM_TAX;
/** 无备注 */
private String IM_MACHINENO;
/** 无备注 */
private String IM_MEMO;
/** 无备注 */
private String IM_ENCRYPTIONCODE;
/** 无备注 */
private String IM_TYPE;
/** 无备注 */
private String IM_TYPENAME;
/** 无备注 */
private String IM_XMMC;
/** 无备注 */
private String IM_KEY;
/** 无备注 */
private String IM_AREACODE;
/** 无备注 */
private String IM_AREANAME;
/** 无备注 */
private String IM_PRINTEDFPDM;
/** 无备注 */
private String IM_PRINTEDFPHM;
/**  无备注  */
private Integer IM_COUNT;
/**  无备注  */
private Integer IM_AGENCY;
/**  无备注  */
private Integer IM_BLOCKCHAIN;
/**  无备注  */
private Integer IM_COMPANYSEAL;
/** 无备注 */
private String IM_COMPANYSEALDEPT;
/** 无备注 */
private String IM_COMPANYSEALNUM;
/** 无备注 */
private String IM_SADDRESS;
/** 无备注 */
private String IM_STEL;
/** 无备注 */
private String IM_SBANKNM;
/** 无备注 */
private String IM_SBANKNO;
/** 无备注 */
private String IM_BADDRESS;
/** 无备注 */
private String IM_BTEL;
/** 无备注 */
private String IM_BBANKNM;
/** 无备注 */
private String IM_BBANKNO;
/** 无备注 */
private String IM_DATETIME;
/** 无备注 */
private String IM_EDATETIME;
/** 无备注 */
private BigDecimal IM_TOTALAMOUNTOCR;
/**  无备注  */
private Integer IM_PAGER_ELECTRONIC;
/** 无备注 */
private String IM_ELECTRONIC_NUMBER;


/** 无备注 */
public void setIM_ID(String IM_ID) {
		this.IM_ID = IM_ID;
		}
/** 无备注 */
public String getIM_ID() {
		return IM_ID;
		}


/** 无备注 */
public void setIM_FPDM(String IM_FPDM) {
		this.IM_FPDM = IM_FPDM;
		}
/** 无备注 */
public String getIM_FPDM() {
		return IM_FPDM;
		}


/** 无备注 */
public void setIM_FPHM(String IM_FPHM) {
		this.IM_FPHM = IM_FPHM;
		}
/** 无备注 */
public String getIM_FPHM() {
		return IM_FPHM;
		}


/** 无备注 */
public void setIM_DATE(Date IM_DATE) {
		this.IM_DATE = IM_DATE;
		}
/** 无备注 */
public Date getIM_DATE() {
		return IM_DATE;
		}


/** 无备注 */
public void setIM_CHECKCODE(String IM_CHECKCODE) {
		this.IM_CHECKCODE = IM_CHECKCODE;
		}
/** 无备注 */
public String getIM_CHECKCODE() {
		return IM_CHECKCODE;
		}


/** 无备注 */
public void setIM_SALERTAXNO(String IM_SALERTAXNO) {
		this.IM_SALERTAXNO = IM_SALERTAXNO;
		}
/** 无备注 */
public String getIM_SALERTAXNO() {
		return IM_SALERTAXNO;
		}


/** 无备注 */
public void setIM_SALERNAME(String IM_SALERNAME) {
		this.IM_SALERNAME = IM_SALERNAME;
		}
/** 无备注 */
public String getIM_SALERNAME() {
		return IM_SALERNAME;
		}


/** 无备注 */
public void setIM_SALERADDRESS(String IM_SALERADDRESS) {
		this.IM_SALERADDRESS = IM_SALERADDRESS;
		}
/** 无备注 */
public String getIM_SALERADDRESS() {
		return IM_SALERADDRESS;
		}


/** 无备注 */
public void setIM_SALERBANKNO(String IM_SALERBANKNO) {
		this.IM_SALERBANKNO = IM_SALERBANKNO;
		}
/** 无备注 */
public String getIM_SALERBANKNO() {
		return IM_SALERBANKNO;
		}


/** 无备注 */
public void setIM_SALERBANKNM(String IM_SALERBANKNM) {
		this.IM_SALERBANKNM = IM_SALERBANKNM;
		}
/** 无备注 */
public String getIM_SALERBANKNM() {
		return IM_SALERBANKNM;
		}


/** 无备注 */
public void setIM_BUYERTAXNO(String IM_BUYERTAXNO) {
		this.IM_BUYERTAXNO = IM_BUYERTAXNO;
		}
/** 无备注 */
public String getIM_BUYERTAXNO() {
		return IM_BUYERTAXNO;
		}


/** 无备注 */
public void setIM_BUYERNAME(String IM_BUYERNAME) {
		this.IM_BUYERNAME = IM_BUYERNAME;
		}
/** 无备注 */
public String getIM_BUYERNAME() {
		return IM_BUYERNAME;
		}


/** 无备注 */
public void setIM_BUYERADDRESS(String IM_BUYERADDRESS) {
		this.IM_BUYERADDRESS = IM_BUYERADDRESS;
		}
/** 无备注 */
public String getIM_BUYERADDRESS() {
		return IM_BUYERADDRESS;
		}


/** 无备注 */
public void setIM_BUYERBANKNO(String IM_BUYERBANKNO) {
		this.IM_BUYERBANKNO = IM_BUYERBANKNO;
		}
/** 无备注 */
public String getIM_BUYERBANKNO() {
		return IM_BUYERBANKNO;
		}


/** 无备注 */
public void setIM_BUYERBANKNM(String IM_BUYERBANKNM) {
		this.IM_BUYERBANKNM = IM_BUYERBANKNM;
		}
/** 无备注 */
public String getIM_BUYERBANKNM() {
		return IM_BUYERBANKNM;
		}


/** 无备注 */
public void setIM_MAKERNM(String IM_MAKERNM) {
		this.IM_MAKERNM = IM_MAKERNM;
		}
/** 无备注 */
public String getIM_MAKERNM() {
		return IM_MAKERNM;
		}


/** 无备注 */
public void setIM_PAYEE(String IM_PAYEE) {
		this.IM_PAYEE = IM_PAYEE;
		}
/** 无备注 */
public String getIM_PAYEE() {
		return IM_PAYEE;
		}


/** 无备注 */
public void setIM_AUDITOR(String IM_AUDITOR) {
		this.IM_AUDITOR = IM_AUDITOR;
		}
/** 无备注 */
public String getIM_AUDITOR() {
		return IM_AUDITOR;
		}


/** 无备注 */
public void setIM_NOTAXAMOUNT(BigDecimal IM_NOTAXAMOUNT) {
		this.IM_NOTAXAMOUNT = IM_NOTAXAMOUNT;
		}
/** 无备注 */
public BigDecimal getIM_NOTAXAMOUNT() {
		return IM_NOTAXAMOUNT;
		}


/** 无备注 */
public void setIM_TAXAMOUNT(BigDecimal IM_TAXAMOUNT) {
		this.IM_TAXAMOUNT = IM_TAXAMOUNT;
		}
/** 无备注 */
public BigDecimal getIM_TAXAMOUNT() {
		return IM_TAXAMOUNT;
		}


/** 无备注 */
public void setIM_TOTALAMOUNT(BigDecimal IM_TOTALAMOUNT) {
		this.IM_TOTALAMOUNT = IM_TOTALAMOUNT;
		}
/** 无备注 */
public BigDecimal getIM_TOTALAMOUNT() {
		return IM_TOTALAMOUNT;
		}


/** 无备注 */
public void setIM_TAX(String IM_TAX) {
		this.IM_TAX = IM_TAX;
		}
/** 无备注 */
public String getIM_TAX() {
		return IM_TAX;
		}


/** 无备注 */
public void setIM_MACHINENO(String IM_MACHINENO) {
		this.IM_MACHINENO = IM_MACHINENO;
		}
/** 无备注 */
public String getIM_MACHINENO() {
		return IM_MACHINENO;
		}


/** 无备注 */
public void setIM_MEMO(String IM_MEMO) {
		this.IM_MEMO = IM_MEMO;
		}
/** 无备注 */
public String getIM_MEMO() {
		return IM_MEMO;
		}


/** 无备注 */
public void setIM_ENCRYPTIONCODE(String IM_ENCRYPTIONCODE) {
		this.IM_ENCRYPTIONCODE = IM_ENCRYPTIONCODE;
		}
/** 无备注 */
public String getIM_ENCRYPTIONCODE() {
		return IM_ENCRYPTIONCODE;
		}


/** 无备注 */
public void setIM_TYPE(String IM_TYPE) {
		this.IM_TYPE = IM_TYPE;
		}
/** 无备注 */
public String getIM_TYPE() {
		return IM_TYPE;
		}


/** 无备注 */
public void setIM_TYPENAME(String IM_TYPENAME) {
		this.IM_TYPENAME = IM_TYPENAME;
		}
/** 无备注 */
public String getIM_TYPENAME() {
		return IM_TYPENAME;
		}


/** 无备注 */
public void setIM_XMMC(String IM_XMMC) {
		this.IM_XMMC = IM_XMMC;
		}
/** 无备注 */
public String getIM_XMMC() {
		return IM_XMMC;
		}


/** 无备注 */
public void setIM_KEY(String IM_KEY) {
		this.IM_KEY = IM_KEY;
		}
/** 无备注 */
public String getIM_KEY() {
		return IM_KEY;
		}


/** 无备注 */
public void setIM_AREACODE(String IM_AREACODE) {
		this.IM_AREACODE = IM_AREACODE;
		}
/** 无备注 */
public String getIM_AREACODE() {
		return IM_AREACODE;
		}


/** 无备注 */
public void setIM_AREANAME(String IM_AREANAME) {
		this.IM_AREANAME = IM_AREANAME;
		}
/** 无备注 */
public String getIM_AREANAME() {
		return IM_AREANAME;
		}


/** 无备注 */
public void setIM_PRINTEDFPDM(String IM_PRINTEDFPDM) {
		this.IM_PRINTEDFPDM = IM_PRINTEDFPDM;
		}
/** 无备注 */
public String getIM_PRINTEDFPDM() {
		return IM_PRINTEDFPDM;
		}


/** 无备注 */
public void setIM_PRINTEDFPHM(String IM_PRINTEDFPHM) {
		this.IM_PRINTEDFPHM = IM_PRINTEDFPHM;
		}
/** 无备注 */
public String getIM_PRINTEDFPHM() {
		return IM_PRINTEDFPHM;
		}


/** 无备注 */
public void setIM_COUNT(Integer IM_COUNT) {
		this.IM_COUNT = IM_COUNT;
		}
/** 无备注 */
public Integer getIM_COUNT() {
		return IM_COUNT;
		}


/** 无备注 */
public void setIM_AGENCY(Integer IM_AGENCY) {
		this.IM_AGENCY = IM_AGENCY;
		}
/** 无备注 */
public Integer getIM_AGENCY() {
		return IM_AGENCY;
		}


/** 无备注 */
public void setIM_BLOCKCHAIN(Integer IM_BLOCKCHAIN) {
		this.IM_BLOCKCHAIN = IM_BLOCKCHAIN;
		}
/** 无备注 */
public Integer getIM_BLOCKCHAIN() {
		return IM_BLOCKCHAIN;
		}


/** 无备注 */
public void setIM_COMPANYSEAL(Integer IM_COMPANYSEAL) {
		this.IM_COMPANYSEAL = IM_COMPANYSEAL;
		}
/** 无备注 */
public Integer getIM_COMPANYSEAL() {
		return IM_COMPANYSEAL;
		}


/** 无备注 */
public void setIM_COMPANYSEALDEPT(String IM_COMPANYSEALDEPT) {
		this.IM_COMPANYSEALDEPT = IM_COMPANYSEALDEPT;
		}
/** 无备注 */
public String getIM_COMPANYSEALDEPT() {
		return IM_COMPANYSEALDEPT;
		}


/** 无备注 */
public void setIM_COMPANYSEALNUM(String IM_COMPANYSEALNUM) {
		this.IM_COMPANYSEALNUM = IM_COMPANYSEALNUM;
		}
/** 无备注 */
public String getIM_COMPANYSEALNUM() {
		return IM_COMPANYSEALNUM;
		}


/** 无备注 */
public void setIM_SADDRESS(String IM_SADDRESS) {
		this.IM_SADDRESS = IM_SADDRESS;
		}
/** 无备注 */
public String getIM_SADDRESS() {
		return IM_SADDRESS;
		}


/** 无备注 */
public void setIM_STEL(String IM_STEL) {
		this.IM_STEL = IM_STEL;
		}
/** 无备注 */
public String getIM_STEL() {
		return IM_STEL;
		}


/** 无备注 */
public void setIM_SBANKNM(String IM_SBANKNM) {
		this.IM_SBANKNM = IM_SBANKNM;
		}
/** 无备注 */
public String getIM_SBANKNM() {
		return IM_SBANKNM;
		}


/** 无备注 */
public void setIM_SBANKNO(String IM_SBANKNO) {
		this.IM_SBANKNO = IM_SBANKNO;
		}
/** 无备注 */
public String getIM_SBANKNO() {
		return IM_SBANKNO;
		}


/** 无备注 */
public void setIM_BADDRESS(String IM_BADDRESS) {
		this.IM_BADDRESS = IM_BADDRESS;
		}
/** 无备注 */
public String getIM_BADDRESS() {
		return IM_BADDRESS;
		}


/** 无备注 */
public void setIM_BTEL(String IM_BTEL) {
		this.IM_BTEL = IM_BTEL;
		}
/** 无备注 */
public String getIM_BTEL() {
		return IM_BTEL;
		}


/** 无备注 */
public void setIM_BBANKNM(String IM_BBANKNM) {
		this.IM_BBANKNM = IM_BBANKNM;
		}
/** 无备注 */
public String getIM_BBANKNM() {
		return IM_BBANKNM;
		}


/** 无备注 */
public void setIM_BBANKNO(String IM_BBANKNO) {
		this.IM_BBANKNO = IM_BBANKNO;
		}
/** 无备注 */
public String getIM_BBANKNO() {
		return IM_BBANKNO;
		}


/** 无备注 */
public void setIM_DATETIME(String IM_DATETIME) {
		this.IM_DATETIME = IM_DATETIME;
		}
/** 无备注 */
public String getIM_DATETIME() {
		return IM_DATETIME;
		}


/** 无备注 */
public void setIM_EDATETIME(String IM_EDATETIME) {
		this.IM_EDATETIME = IM_EDATETIME;
		}
/** 无备注 */
public String getIM_EDATETIME() {
		return IM_EDATETIME;
		}


/** 无备注 */
public void setIM_TOTALAMOUNTOCR(BigDecimal IM_TOTALAMOUNTOCR) {
		this.IM_TOTALAMOUNTOCR = IM_TOTALAMOUNTOCR;
		}
/** 无备注 */
public BigDecimal getIM_TOTALAMOUNTOCR() {
		return IM_TOTALAMOUNTOCR;
		}


/** 无备注 */
public void setIM_PAGER_ELECTRONIC(Integer IM_PAGER_ELECTRONIC) {
		this.IM_PAGER_ELECTRONIC = IM_PAGER_ELECTRONIC;
		}
/** 无备注 */
public Integer getIM_PAGER_ELECTRONIC() {
		return IM_PAGER_ELECTRONIC;
		}


/** 无备注 */
public void setIM_ELECTRONIC_NUMBER(String IM_ELECTRONIC_NUMBER) {
		this.IM_ELECTRONIC_NUMBER = IM_ELECTRONIC_NUMBER;
		}
/** 无备注 */
public String getIM_ELECTRONIC_NUMBER() {
		return IM_ELECTRONIC_NUMBER;
		}


		}
